Package be.ehealth.businessconnector.mycarenet.agreement.builders

# Interface RequestObjectBuilder

All Known Implementing Classes:
  `EncryptedRequestObjectBuilderImpl`

public interface RequestObjectBuilder
Provides method(s) to create an Agreement WS request. Default impl : `EncryptedRequestObjectBuilderImpl` Factory : `RequestObjectBuilderFactory`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AskAgreementBuilderRequest`
  `buildAskAgreementRequest(boolean isTest, InputReference reference, Patient patientInfo, Instant refDate, byte[] messageFHIR)`
  Creates the request that will be sent to the EHealth Web service and checks validity against the corresponding XSD
  `ConsultAgreementBuilderRequest`
  `buildConsultAgreementRequest(boolean isTest, InputReference reference, Patient patientInfo, Instant refDate, byte[] messageFHIR)`

- ## Method Details

  - ### buildAskAgreementRequest

    AskAgreementBuilderRequest buildAskAgreementRequest(boolean isTest, InputReference reference, Patient patientInfo, Instant refDate, byte[] messageFHIR) throws TechnicalConnectorException, AgreementBusinessConnectorException
    Creates the request that will be sent to the EHealth Web service and checks validity against the corresponding XSD
    Parameters:
      `isTest` - indicates if this is a test or not
      `reference` - the reference of the the patient
      `messageFHIR` - the xml who ll be transformed in b64 and maybe encrypted
    Returns:
      the request that need to be sent
    Throws:
      `AgreementBusinessConnectorException` - the Agreement Business connector exception
      `TechnicalConnectorException` - the technical connector exception

  - ### buildConsultAgreementRequest

    ConsultAgreementBuilderRequest buildConsultAgreementRequest(boolean isTest, InputReference reference, Patient patientInfo, Instant refDate, byte[] messageFHIR) throws TechnicalConnectorException, AgreementBusinessConnectorException
    Throws:
      `TechnicalConnectorException`
      `AgreementBusinessConnectorException`